Skip to main content
GET
/
compute
/
configs
/
{id}
Get a compute config
curl --request GET \
  --url https://api.akua.dev/v1/compute/configs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "provider": "hcloud",
  "provider_config": {
    "provider": "<string>",
    "region": "<string>",
    "image": "<string>",
    "machine_type_filter": "<string>"
  },
  "secret_id": "<string>",
  "created_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://akua-1dce587a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required

ComputeConfig ID

Response

Compute config

id
string
required
name
string
required
provider
string
required
Example:

"hcloud"

provider_config
object
required
secret_id
string | null
required
created_at
number
required